Announcement

Collapse
No announcement yet.

PHP 4.3.10 & 5.0.3 released!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • PHP 4.3.10 & 5.0.3 released!

    Here we go

    http://www.php.net/downloads.php

    Changelog 4.3.10
    Changelog 5.0.3
    MCP / MCSA / MCSE / MCT
    A few eggs short of a complete easter basket

    vB 4.0.5+ CMS (No hacks), Windows Server 2008 R2 Ent, IIS 7.5, PHP 5.3+ (FastCGI), WinCache, Memcached, MySQL 5.1.45

  • #2
    As there are issues reported with 4.3.10 of PHP and vBulletin, I advise to wait off upgrading PHP.

    Comment


    • #3
      There are no issues specificly with php 4.3.10 and vBullein, rather Zend Optimizer Php 4.3.10 and vBulletin, make sure to upgrade ZO to the latest version or leave it out for the time being

      Comment


      • #4
        According to this, we should be upgrading IMMEDIATELY. Specifically because they claim vBulletin is affected by this new exploit.

        Comment


        • #5
          its a php flaw, not vB, other software that makes use of the serilize function will be affected

          Comment


          • #6
            Just for clarification, even though they expressly stated:

            Examples of vulnerable scripts:

            - vBulletin
            Your saying the vB script is not affected by the exploitable flaw in PHP 4.3.9 and lower? If that's the case, someone should advise them so they can correct it.

            Comment


            • #7
              Originally posted by grbear
              Just for clarification, even though they expressly stated:



              Your saying the vB script is not affected by the exploitable flaw in PHP 4.3.9 and lower? If that's the case, someone should advise them so they can correct it.
              It _is_ vulnerable, but it is PHP's fault, not vBulletin's.(supposedly)

              Silly distinction especially when IPB and phpBB are vulnerable... but that's life.

              An upgrade to PHP 4.3.10 is necessary. I just did it, and it's working well so far.
              TheologyWeb. We debate theology. srsly.

              Comment


              • #8
                Yes vB is affected but the bug is in php, not vBulletin.

                Comment


                • #9
                  Thank you Zachery.

                  I wasn't blaming vB, I was quite aware that it was a PHP problem, not vB.

                  I was refering to the post Floris made advising to hold off upgrading to the latest (4.3.10) PHP.

                  Comment


                  • #10
                    The issue with it is the php accelerators that are not up to doate.

                    Comment


                    • #11
                      is mmcache working with 4.3.10 anyone test it ?

                      Thanks

                      Comment


                      • #12
                        Originally posted by Zachery
                        There are no issues specificly with php 4.3.10 and vBullein, rather Zend Optimizer Php 4.3.10 and vBulletin, make sure to upgrade ZO to the latest version or leave it out for the time being
                        Will the version of Zend that comes with the source distro of PHP be new enough?

                        Peace...

                        Comment


                        • #13
                          I just upgraded to 4.3.10 and also I was using Truck MMCache,
                          now vBulletin works perfects, and Truck MMCache needs a reinstall,
                          I had no kind of optimizers either.
                          ehsan
                          New Member
                          Last edited by ehsan; Fri 17 Dec '04, 2:07pm.

                          Comment


                          • #14
                            Yes 5 minutes ago upgrade too,working without any problem.

                            Cheers

                            Comment


                            • #15
                              Originally posted by Bulent Tekcan
                              Yes 5 minutes ago upgrade too,working without any problem.

                              Cheers
                              did you install MMCache successfully?

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X